%global docdir  %{_docdir}/%{name}-%{version}/doc

Name:           portecle
Version:        1.7
Release:        2%{?dist}
Summary:        Multipurpose keystore and certificate tool

Group:          Applications/System
License:        GPLv2+
URL:            http://portecle.sourceforge.net/
Source0:        http://downloads.sourceforge.net/portecle/%{name}-%{version}-src.zip
Source1:        portecle.sh.in
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  ant
BuildRequires:  bouncycastle >= 1.44
BuildRequires:  desktop-file-utils
BuildRequires:  jpackage-utils
Requires:       bouncycastle >= 1.44
# >= 1.7.5-3.9 for _prefer_jre in launcher script (#461683, #498831)
Requires:       jpackage-utils >= 1.7.5-3.9
Requires:       hicolor-icon-theme
BuildRequires:  java-devel >= 1.6.0
Requires:       jre >= 1.6.0

%description
Portecle is a user friendly GUI application for creating, managing and
examining keystores, keys, certificates, certificate requests,
certificate revocation lists and more.


%prep
%setup -q -n %{name}-%{version}-src
rm lib/*.jar
cp -p src/main/net/sf/portecle/images/splash.png doc/images/


%build
%ant -Djar.classpath= -Dhelpbaseurl=file://%{docdir}/ \
    -Dbcprov.jar=$(build-classpath bcprov) jar


%install
rm -rf $RPM_BUILD_ROOT

install -Dpm 644 build/portecle.jar $RPM_BUILD_ROOT%{_javadir}/portecle.jar

install -Dpm 644 src/icons/portecle.png \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/portecle.png
desktop-file-install --vendor=fedora --mode=644 \
    --add-mime-type=application/x-pkcs7-certificates \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications src/etc/portecle.desktop

# Enable experimental features in non-EL builds by default
install -dm 755 $RPM_BUILD_ROOT%{_bindir}
exp="%{?rhel:false}%{!?rhel:true}"
sed -e "s|@DOCDIR@|%{docdir}|" -e "s|@EXPERIMENTAL@|$exp|" %{SOURCE1} \
    > $RPM_BUILD_ROOT%{_bindir}/portecle
chmod 755 $RPM_BUILD_ROOT%{_bindir}/portecle


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database %{_datadir}/applications &>/dev/null
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
update-desktop-database %{_datadir}/applications &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt NEWS.txt doc/
%{_bindir}/portecle
%{_javadir}/portecle.jar
%{_datadir}/applications/*portecle.desktop
%{_datadir}/icons/hicolor/32x32/apps/portecle.png


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 23 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.7-1
- Update to 1.7.

* Sat Jan 15 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.6-1
- Update to 1.6.

* Sat May  8 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.5-2
- Drop workaround for #461683, require jpackage-utils containing the fix.

* Sun Jan  3 2010 Ville Skyttä <ville.skytta@iki.fi> - 1.5-1
- Update to 1.5.

* Wed Nov 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.4-5
- Try to force use of a JRE instead of a SDK if $JAVA_HOME is not set to
  work around #461683 (#498831).
- Move user (shell) config file to freedesktop.org base dir spec config dir.
- Enable experimental features in non-EL builds.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.4-3
- Drop excess arguments to %%jpackage_script.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.4-1
- Update to 1.4.
- Ship docs unbundled from jar (#425834).

* Fri Feb 20 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.3-4
- Improve icon cache and desktop database refresh scriptlets.

* Fri Mar 14 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.3-3
- Adjust to icedtea->openjdk changes.

* Thu Jan 10 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.3-2
- Update GTK icon cache in post(un)install scriptlets (#425834).

* Sun Dec 16 2007 Ville Skyttä <ville.skytta@iki.fi> - 1.3-1
- First build.
